import React from 'react';
import { isUrl } from '../utils/utils';
import { plantform } from '../utils/config';
import RBIcon from '../components/RBIcon';

const menuData = () => {
  if (plantform === 'LJ') {
    return [{
      name: '统计概览',
      icon: 'dashboard',
      path: 'dashboard',
      children: [{
        name: '运行监控',
        path: 'analysis',
        icon: <RBIcon type="apprun" />,
      }, {
        name: '营销统计',
        path: 'monitor',
        icon: <RBIcon type="monitor" />,
      }, {
        name: '行为分析',
        path: 'workplace',
        icon: <RBIcon type="action" />,
      }],
    }, {
      name: '基础资源',
      icon: 'folder',
      path: 'resource',
      children: [{
        name: '图库管理',
        path: 'image',
        icon: 'file-jpg',
      }, {
        name: '视频管理',
        path: 'video',
        icon: 'video-camera',
      }],
    }, {
      name: '产品加工',
      icon: 'appstore-o',
      path: 'product',
      children: [{
        name: '制作课件',
        path: 'ware',
      }, {
        name: '制作课',
        path: 'lesson',
      }, {
        name: '制作课程',
        path: 'course',
      }, {
        name: '制作配套',
        path: 'support',
      }, {
        name: '制作套装包',
        path: 'package',
      }],
    }, {
      name: '产品出售',
      icon: 'shop',
      path: 'goods',
      children: [{
        name: '虚拟课程',
        path: 'virtual',
      }, {
        name: '实体物品',
        path: 'entity',
      }, {
        name: '打包套装',
        path: 'package',
      }],
    }, {
      name: '前端配置',
      icon: 'android-o',
      path: 'app',
      children: [{
        name: '首页入口',
        path: 'tagGroup',
      }, {
        name: '标签栏目',
        path: 'tag',
      }, {
        name: '推荐位配置',
        path: 'recommend',
      }],
    }, {
      name: '订单系统',
      icon: 'trademark',
      path: 'trade',
      children: [{
        name: '购物车',
        icon: 'shopping-cart',
        path: 'shopcart',
      }, {
        name: '订单列表',
        icon: <RBIcon type="order" />,
      }],
    }, {
      name: '厂商管理',
      icon: 'team',
      path: 'merchant',
      children: [{
        name: '商户列表',
        path: 'list',
      }],
    }, {
      name: '校区管理',
      icon: <RBIcon type="campus" />,
      path: 'campus',
      children: [{
        name: '校区列表',
        path: 'list',
      }],
    }, {
      name: '终端用户',
      path: 'terminal',
      icon: <RBIcon type="terminal" />,
      children: [{
        name: '终端列表',
        path: 'list',
      }],
    }, {
      name: '系统管理',
      path: 'system',
      icon: <RBIcon type="systemuser" />,
      children: [{
        name: '用户列表',
        path: 'list',
      }],
    }];
  } else if (plantform === 'PJ') {
    return [{
      name: '统计概览',
      icon: 'dashboard',
      path: 'dashboard',
      children: [{
        name: '运行监控',
        path: 'analysis',
        icon: <RBIcon type="apprun" />,
      }, {
        name: '营销统计',
        path: 'monitor',
        icon: <RBIcon type="monitor" />,
      }, {
        name: '行为分析',
        path: 'workplace',
        icon: <RBIcon type="action" />,
      }],
    }, {
      name: '产品库',
      icon: 'shop',
      path: 'goods',
      children: [{
        name: '虚拟课程',
        path: 'virtual',
      }, {
        name: '实体物品',
        path: 'entity',
      }, {
        name: '打包套装',
        path: 'package',
      }],
    }, {
      name: '订单系统',
      icon: 'trademark',
      path: 'trade',
      children: [{
        name: '购物车',
        icon: 'shopping-cart',
        path: 'shopcart',
      }, {
        name: '订单列表',
        icon: <RBIcon type="order" />,
      }],
    }, {
      name: '校区管理',
      icon: <RBIcon type="campus" />,
      path: 'campus',
    }, {
      name: '终端用户',
      path: 'terminal',
      icon: <RBIcon type="terminal" />,
    }, {
      name: '账户信息',
      icon: 'team',
      path: 'merchant',
    }];
  } else if (plantform === 'CP') {
    return [{
      name: '统计概览',
      icon: 'dashboard',
      path: 'dashboard',
      children: [{
        name: '营销统计',
        path: 'monitor',
        icon: <RBIcon type="monitor" />,
      }],
    }, {
      name: '产品库',
      icon: 'shop',
      path: 'goods',
      children: [{
        name: '虚拟课程',
        path: 'virtual',
      }, {
        name: '实体物品',
        path: 'entity',
      }, {
        name: '打包套装',
        path: 'package',
      }],
    }, {
      name: '订单系统',
      icon: 'trademark',
      path: 'trade',
      children: [{
        name: '订单列表',
        icon: <RBIcon type="order" />,
      }],
    }, {
      name: '账户信息',
      icon: 'team',
      path: 'merchant',
    }];
  }
};

function formatter(data, parentPath = '/', parentAuthority) {
  return data.map((item) => {
    let { path } = item;
    if (!isUrl(path)) {
      path = parentPath + item.path;
    }
    const result = {
      ...item,
      path,
      authority: item.authority || parentAuthority,
    };
    if (item.children) {
      result.children = formatter(item.children, `${parentPath}${item.path}/`, item.authority);
    }
    return result;
  });
}

export const getMenuData = () => formatter(menuData());
