import React, { Component } from 'react';
import { Card, Checkbox, Icon, Button } from 'antd';
import { ossHost } from '../../utils/config';
import styles from './PictureItem.less';

class PictureItem extends Component {
  handleItemChecked = (e) => {
    const { id, onSelectChange } = this.props;
    onSelectChange(id, e.target.checked);
  }
  handleItemDelete = () => {
    const { id, onDelete } = this.props;
    onDelete({ id });
  }
  render() {
    const { picPath, picCode, selected } = this.props;
    return (
      <Card
        bordered
        hoverable
        className={styles.card}
      >
        <div className={styles.picWrapper}>
          <img src={`${ossHost}/${picPath}`} alt="cover" />
        </div>
        <Checkbox
          checked={selected}
          className={styles.checkbox}
          onChange={this.handleItemChecked}
        />
        <Icon
          type="close-square-o"
          className={styles.removeIcon}
          onClick={this.handleItemDelete}
        />
        <div className={styles.metaData}>
          {picCode}
        </div>
        <div className={styles.picActions}>
          <Button
            size="small"
            type="primary"
            icon="edit"
            style={{ marginRight: 20 }}
          >编辑
          </Button>
          <Button
            size="small"
            type="primary"
            icon="delete"
            onClick={this.handleItemDelete}
          >删除
          </Button>
        </div>
      </Card>
    );
  }
}

export default PictureItem;
