import React, { Component } from 'react';
import { routerRedux, Route, Switch } from 'dva/router';
import { connect } from 'dva';
import PageHeaderLayout from '../../layouts/PageHeaderLayout';
import { getRoutes } from '../../utils/utils';

@connect()
export default class PictureCreate extends Component {
  handleTabChange = (key) => {
    const { dispatch, match } = this.props;
    switch (key) {
      case 'single':
        dispatch(routerRedux.push(`${match.url}/single`));
        break;
      case 'multiple':
        dispatch(routerRedux.push(`${match.url}/multiple`));
        break;
      default:
        break;
    }
  }

  render() {
    // tab面板列表
    const tabList = [{
      key: 'single',
      tab: '单图上传',
    }, {
      key: 'multiple',
      tab: '多图上传',
    }];

    const { match, routerData, location } = this.props;
    const routes = getRoutes(match.path, routerData);

    return (
      <PageHeaderLayout
        tabList={tabList}
        tabActiveKey={location.pathname.replace(`${match.path}/`, '')}
        onTabChange={this.handleTabChange}
      >
        <Switch>
          {
            routes.map(item =>
              (
                <Route
                  key={item.key}
                  path={item.path}
                  component={item.component}
                  exact={item.exact}
                />
              )
            )
          }
        </Switch>
      </PageHeaderLayout>
    );
  }
}
