import { stringify } from 'qs';
import request from '../utils/request';
import { api } from '../utils/config';

export async function queryMerchantList(params) {
  return request(`${api.merchant}?${stringify(params)}`);
}

export async function queryMerchantItem({ id }) {
  return request(`${api.merchantItem}/${id}`);
}

export async function createMerchantItem(params) {
  const options = {
    method: 'POST',
    body: params,
  };
  return request(`${api.merchantItem}`, options);
}

export async function updateMerchantItem(params) {
  const options = {
    method: 'PUT',
    body: params,
  };
  return request(`${api.merchantItem}`, options);
}

export async function deleteMerchantItem({ id }) {
  const options = {
    method: 'DELETE',
  };
  return request(`${api.merchantItem}/${id}`, options);
}

export async function despoitMerchantItem(params) {
  const options = {
    method: 'POST',
    body: params,
  };
  return request(`${api.despoit}`, options);
}
